Subject: [Fot] GT6 Brakes.

From: McKearn McKearn <[email-masked]>
Date: Sat, 23 Aug 2014 22:22:20 -0500

Hi.
 I'm looking to improve the brakes on My GT6.  I currently have stock
brakes with nothing special pads.  Dual master cylinders with 5/8 pistons
and balance bar. Rotors are drilled . The car will stop but It seams like
it takes some serious pedal pressure  and if you want to stop NOW you have
to push with all you've got. I think the balance is pretty close as the
fronts will lock up first but I just feel like something's missing in the
brake department. This is a street car (for now) I have considered ceramic
pads but really don't know if that would help or not. Any suggestions would
be appreciated.
  Thanks. P.J.
_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive